> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflow Run Tasks

> List the tasks (steps) of a workflow run, ordered by step, with truncated input/output previews and a resolved outcome per step. Paginated. Use this to find the failing step within a run, then call GetWorkflowRunTask for that step's full input/output.



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml get /v2/workflow-runs/{workflow_run_id}/tasks
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Request API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Folder API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: Report API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/workflow-runs/{workflow_run_id}/tasks:
    get:
      tags:
        - Workflow Run API
      summary: List Workflow Run Tasks
      description: >-
        List the tasks (steps) of a workflow run, ordered by step, with
        truncated input/output previews and a resolved outcome per step.
        Paginated. Use this to find the failing step within a run, then call
        GetWorkflowRunTask for that step's full input/output.
      operationId: svrelay.publicv2.PublicAPIServiceV2.ListWorkflowRunTasks
      parameters:
        - name: workflow_run_id
          in: path
          required: true
          schema:
            type: string
            title: workflow_run_id
            description: The ID of the workflow run whose tasks (steps) to list.
        - name: pageSize
          in: query
          description: Maximum number of tasks to return. Default is 50, maximum is 200.
          schema:
            type: integer
            title: page_size
            format: int32
            description: Maximum number of tasks to return. Default is 50, maximum is 200.
        - name: pageToken
          in: query
          description: Token for pagination. Leave empty for the first request.
          schema:
            type: string
            title: page_token
            description: Token for pagination. Leave empty for the first request.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/svflow.publicapi.ListWorkflowRunTasksResponse
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connect.error'
      security:
        - BearerAuth: []
components:
  schemas:
    svflow.publicapi.ListWorkflowRunTasksResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/svflow.pubapimodels.WorkflowRunTaskSummary'
          title: data
          description: The list of task summaries, ordered by step ascending.
          x-stainless-terraform-configurability: optional
        nextPageToken:
          type: string
          title: next_page_token
          description: >-
            Token for retrieving the next page of results. Empty if no more
            results.
          nullable: true
          x-stainless-terraform-configurability: optional
      title: ListWorkflowRunTasksResponse
      additionalProperties: false
    connect.error:
      type: object
      properties:
        code:
          type: string
          examples:
            - not_found
          enum:
            - canceled
            - unknown
            - invalid_argument
            - deadline_exceeded
            - not_found
            - already_exists
            - permission_denied
            - resource_exhausted
            - failed_precondition
            - aborted
            - out_of_range
            - unimplemented
            - internal
            - unavailable
            - data_loss
            - unauthenticated
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          x-stainless-terraform-configurability: optional
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          x-stainless-terraform-configurability: optional
        detail:
          $ref: '#/components/schemas/google.protobuf.Any'
          x-stainless-terraform-configurability: optional
      title: Connect Error
      additionalProperties: true
      description: >-
        Error type returned by Connect:
        https://connectrpc.com/docs/go/errors/#http-representation
    svflow.pubapimodels.WorkflowRunTaskSummary:
      type: object
      properties:
        stepNumber:
          type:
            - integer
            - string
          title: step_number
          format: int64
          description: The step number of the task within the run.
          x-stainless-terraform-configurability: optional
        taskName:
          type: string
          title: task_name
          description: The human-readable task name (falls back to the function name).
          x-stainless-terraform-configurability: optional
        outcome:
          $ref: '#/components/schemas/svflow.pubapimodels.WorkflowRunTaskOutcome'
          title: outcome
          description: The resolved outcome of the task.
          x-stainless-terraform-configurability: optional
        inputPreview:
          type: string
          title: input_preview
          description: A truncated preview of the task input (JSON string), if any.
          nullable: true
          x-stainless-terraform-configurability: optional
        outputPreview:
          type: string
          title: output_preview
          description: A truncated preview of the task output (JSON string), if any.
          nullable: true
          x-stainless-terraform-configurability: optional
        inputTruncated:
          type: boolean
          title: input_truncated
          description: True when input_preview was truncated.
          x-stainless-terraform-configurability: computed_optional
        outputTruncated:
          type: boolean
          title: output_truncated
          description: True when output_preview was truncated.
          x-stainless-terraform-configurability: computed_optional
      title: WorkflowRunTaskSummary
      additionalProperties: false
      description: >-
        WorkflowRunTaskSummary is a lightweight per-step entry for listing a
        run's
         tasks. Input/output previews are truncated; use GetWorkflowRunTask for the
         full (capped) input/output of a single step.
    google.protobuf.Any:
      type: object
      properties:
        type:
          type: string
          x-stainless-terraform-configurability: optional
        value:
          type: string
          format: binary
          x-stainless-terraform-configurability: optional
        debug:
          type: object
          additionalProperties: true
          x-stainless-terraform-configurability: optional
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    svflow.pubapimodels.WorkflowRunTaskOutcome:
      type: string
      title: WorkflowRunTaskOutcome
      enum:
        - WORKFLOW_RUN_TASK_OUTCOME_UNSPECIFIED
        - WORKFLOW_RUN_TASK_OUTCOME_PENDING
        - WORKFLOW_RUN_TASK_OUTCOME_RUNNING
        - WORKFLOW_RUN_TASK_OUTCOME_SUCCESS
        - WORKFLOW_RUN_TASK_OUTCOME_FAILED
        - WORKFLOW_RUN_TASK_OUTCOME_PAUSED
      description: >-
        WorkflowRunTaskOutcome is the resolved outcome of a single task (step)
        run.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````